﻿using Mall.Model.Entity.User;
using Mall.Model.Extend.User;
using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;

namespace Mall.Repository.User
{
    /// <summary>
    /// 小程序管理员仓储层
    /// </summary>
    public class RB_Miniprogram_AdminRepository:BaseRepository<RB_Miniprogram_Admin>
    {
        /// <summary>
        /// 获取管理员分页列表
        /// </summary>
        /// <param name="pageIndex"></param>
        /// <param name="pageSize"></param>
        /// <param name="rowsCount"></param>
        /// <param name="query"></param>
        /// <returns></returns>
        public List<RB_Miniprogram_Admin_Extend> GetMiniprogramAdminPageRepository(int pageIndex, int pageSize, out long rowsCount, RB_Miniprogram_Admin_Extend query)
        {
            StringBuilder builder = new StringBuilder();
            builder.AppendFormat(@"
SELECT A.* 
FROM rb_miniprogram_admin AS A
WHERE 1=1
");
            if (query != null)
            {
                if (query.TenantId > 0)
                {
                    builder.AppendFormat(" AND A.{0}={1} ", nameof(RB_Miniprogram_Admin_Extend.TenantId), query.TenantId);
                }
                if (query.MallBaseId > 0)
                {
                    builder.AppendFormat(" AND A.{0}={1} ", nameof(RB_Miniprogram_Admin_Extend.MallBaseId), query.MallBaseId);
                }
            }
            return GetPage<RB_Miniprogram_Admin_Extend>(pageIndex, pageSize, out rowsCount, builder.ToString()).ToList();
        }
    }
}
